Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRGraphics2DExporterParameter

    java.lang.Object
      net.sf.jasperreports.engine.JRExporterParameter
          net.sf.jasperreports.engine.export.JRGraphics2DExporterParameter

    public class JRGraphics2DExporterParameter

extends JRExporterParameter

Contains parameters useful for export to an AWT `Graphics2D` object.

Version:
  $Id: JRGraphics2DExporterParameter.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static JRGraphics2DExporterParameter` | `GRAPHICS_2D` The `java.awt.Graphics2D` instance used for export.
`static JRGraphics2DExporterParameter` | `MINIMIZE_PRINTER_JOB_SIZE` Flag to control the use of an AWT rendering fix which causes the printer job size to be reduced when the exporter draws onto a printer graphic context.
`static JRGraphics2DExporterParameter` | `ZOOM_RATIO` The zoom ratio used for the export.

Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter
`CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, FONT_MAP, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

Constructor Summary
`protected` | `JRGraphics2DExporterParameter(java.lang.String name)`

Method Summary

Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GRAPHICS_2D

    public static final JRGraphics2DExporterParameter GRAPHICS_2D

  The `java.awt.Graphics2D` instance used for export.

### ZOOM_RATIO

    public static final JRGraphics2DExporterParameter ZOOM_RATIO

  The zoom ratio used for the export. The default value is 1.

### MINIMIZE_PRINTER_JOB_SIZE

    public static final JRGraphics2DExporterParameter MINIMIZE_PRINTER_JOB_SIZE

  Flag to control the use of an AWT rendering fix which causes the printer job size to be reduced when the exporter draws onto a printer graphic context. The fix was introduced to solve an old Java printing problem related to the size of printer spool jobs. However, it causes problems when bidirectional text is rendered, by losing text direction information. This flag is true, by default and should be set to false when bidirectional writing is present in the document that is sent to the printer. This flag can be set system-wide using the `MINIMIZE_PRINTER_JOB_SIZE` property. This export parameter overrides the property value.

  See Also:
    `JRGraphics2DExporter.MINIMIZE_PRINTER_JOB_SIZE`

Constructor Detail

### JRGraphics2DExporterParameter

    protected JRGraphics2DExporterParameter(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com